Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#68629 - VS Code 1.51.1 - No longer detects conda environments

Attached to Project: Community Packages
Opened by Sachin Danave (sdanave) - Sunday, 15 November 2020, 08:39 GMT
Last edited by Nicola Squartini (tensor5) - Wednesday, 25 November 2020, 00:14 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Nicola Squartini (tensor5)
Filipe LaĆ­ns (FFY00)
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

Description: AFter the upgrade on 12th Nov,2020 - VS Code 1.51.1 no longer detects conda environments. If we go to Python:Select Interpreter, conda environments are not shown. Even after entering the interpreter path manually, the environment is still not detected.


Additional info:
* package version(s) 1.51.1, release on 12th Nov 2020.
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:

1. Install Miniconda 3 with the necessary Python interpreter (3.8.5 in my case).
2. Install VS Code
3. Ensure that the Python:PythonPath directs to the installed Python interpreter
4. Open Command Pallette in VS Code to select Python Interpreter
5. The installed (and activated) conda environment is not shown

This task depends upon

Closed by  Nicola Squartini (tensor5)
Wednesday, 25 November 2020, 00:14 GMT
Reason for closing:  Fixed
Additional comments about closing:  9.3.4-2
Comment by zoltix (zoltix) - Sunday, 15 November 2020, 14:45 GMT
Hi,
I have the same issue but with python virtual env.
Don't detect any python interpreter env.

I copy and paste the message from Vscode(Help->Toggle Developper Tools)


ERR [ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python: Error: [ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python
at a (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659:99)
at Object.t.checkProposedApiEnabled (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659:567)
at Object.get activeNotebookEditor [as activeNotebookEditor] (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:1010:158)
at u.get activeNotebookEditor [as activeNotebookEditor] (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:1203223)
at g.provideCodeLenses (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:229657)
at /usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:737:163
at /usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:52:208
at new Promise (<anonymous>)
at Object.t.asPromise (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:52:180)
at w.provideCodeLenses (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:737:134)
at /usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:759:165
at G._withAdapter (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:757:832)
at G.$provideCodeLenses (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:759:143)
at g._doInvokeHandler (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:876:926)
at g._invokeHandler (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:876:618)
at g._receiveRequest (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:875:201)
at g._receiveOneMessage (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:874:6)
at /usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:872:136
at l.fire (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:46:67)
at v.fire (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:256:601)
at /usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:1066:179
at l.fire (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:46:67)
at v.fire (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:256:601)
at t.PersistentProtocol._receiveMessage (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:261:629)
at /usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:258:708
at l.fire (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:46:67)
at p.acceptChunk (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:253:989)
at /usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:253:341
at Socket.t (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:263:276)
at Socket.emit (events.js:223:5)
at addChunk (_stream_readable.js:309:12)
at readableAddChunk (_stream_readable.js:290:11)
at Socket.Readable.push (_stream_readable.js:224:10)
at Pipe.onStreamRead (internal/stream_base_commons.js:181:23)
mainThreadExtensionService.ts:65 [[object Object]][ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python
$onExtensionRuntimeError @ host.ts:10
_doInvokeHandler @ rpcProtocol.ts:365
_invokeHandler @ rpcProtocol.ts:365
_receiveRequest @ rpcProtocol.ts:306
_receiveOneMessage @ rpcProtocol.ts:174
(anonymous) @ rpcProtocol.ts:105
fire @ event.ts:584
fire @ ipc.net.ts:431
_receiveMessage @ ipc.net.ts:764
(anonymous) @ ipc.net.ts:624
fire @ event.ts:584
acceptChunk @ ipc.net.ts:174
(anonymous) @ ipc.net.ts:174
t @ ipc.net.ts:900
emit @ events.js:223
addChunk @ _stream_readable.js:309
readableAddChunk @ _stream_readable.js:290
Readable.push @ _stream_readable.js:224
onStreamRead @ internal/stream_base_commons.js:181
mainThreadExtensionService.ts:66 Error: [ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python
at a (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659)
at Object.t.checkProposedApiEnabled (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659)
at Object.get activeNotebookEditor [as activeNotebookEditor] (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:1010)
at u.get activeNotebookEditor [as activeNotebookEditor] (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
at d.update (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
at Timeout._onTimeout (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
at listOnTimeout (internal/timers.js:531)
at processTimers (internal/timers.js:475)
$onExtensionRuntimeError @ host.ts:10
_doInvokeHandler @ rpcProtocol.ts:365
_invokeHandler @ rpcProtocol.ts:365
_receiveRequest @ rpcProtocol.ts:306
_receiveOneMessage @ rpcProtocol.ts:174
(anonymous) @ rpcProtocol.ts:105
fire @ event.ts:584
fire @ ipc.net.ts:431
_receiveMessage @ ipc.net.ts:764
(anonymous) @ ipc.net.ts:624
fire @ event.ts:584
acceptChunk @ ipc.net.ts:174
(anonymous) @ ipc.net.ts:174
t @ ipc.net.ts:900
emit @ events.js:223
addChunk @ _stream_readable.js:309
readableAddChunk @ _stream_readable.js:290
Readable.push @ _stream_readable.js:224
onStreamRead @ internal/stream_base_commons.js:181
console.ts:137 [Extension Host] rejected promise not handled within 1 second: Error: [ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python
t.log @ console.ts:140
$logExtensionHostMessage @ mainThreadConsole.ts:29
_doInvokeHandler @ rpcProtocol.ts:365
_invokeHandler @ rpcProtocol.ts:365
_receiveRequest @ rpcProtocol.ts:306
_receiveOneMessage @ rpcProtocol.ts:174
(anonymous) @ rpcProtocol.ts:105
fire @ event.ts:584
fire @ ipc.net.ts:431
_receiveMessage @ ipc.net.ts:764
(anonymous) @ ipc.net.ts:624
fire @ event.ts:584
acceptChunk @ ipc.net.ts:174
(anonymous) @ ipc.net.ts:174
t @ ipc.net.ts:900
emit @ events.js:223
addChunk @ _stream_readable.js:309
readableAddChunk @ _stream_readable.js:290
Readable.push @ _stream_readable.js:224
onStreamRead @ internal/stream_base_commons.js:181
console.ts:137 [Extension Host] stack trace: Error: [ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python at a (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659:99) at Object.t.checkProposedApiEnabled (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659:567) at Object.get activeNotebookEditor [as activeNotebookEditor] (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:1010:158) at u.get activeNotebookEditor [as activeNotebookEditor] (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:1203223) at u.get hidden [as hidden] (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:647038) at /home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:846357 at Array.every (<anonymous>) at g.updateVisibility (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:846345) at g.updateDisplay (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:846218) at async g.refresh (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56:845171)
t.log @ console.ts:140
$logExtensionHostMessage @ mainThreadConsole.ts:29
_doInvokeHandler @ rpcProtocol.ts:365
_invokeHandler @ rpcProtocol.ts:365
_receiveRequest @ rpcProtocol.ts:306
_receiveOneMessage @ rpcProtocol.ts:174
(anonymous) @ rpcProtocol.ts:105
fire @ event.ts:584
fire @ ipc.net.ts:431
_receiveMessage @ ipc.net.ts:764
(anonymous) @ ipc.net.ts:624
fire @ event.ts:584
acceptChunk @ ipc.net.ts:174
(anonymous) @ ipc.net.ts:174
t @ ipc.net.ts:900
emit @ events.js:223
addChunk @ _stream_readable.js:309
readableAddChunk @ _stream_readable.js:290
Readable.push @ _stream_readable.js:224
onStreamRead @ internal/stream_base_commons.js:181
mainThreadExtensionService.ts:65 [[object Object]][ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python
$onExtensionRuntimeError @ host.ts:10
_doInvokeHandler @ rpcProtocol.ts:365
_invokeHandler @ rpcProtocol.ts:365
_receiveRequest @ rpcProtocol.ts:306
_receiveOneMessage @ rpcProtocol.ts:174
(anonymous) @ rpcProtocol.ts:105
fire @ event.ts:584
fire @ ipc.net.ts:431
_receiveMessage @ ipc.net.ts:764
(anonymous) @ ipc.net.ts:624
fire @ event.ts:584
acceptChunk @ ipc.net.ts:174
(anonymous) @ ipc.net.ts:174
t @ ipc.net.ts:900
emit @ events.js:223
addChunk @ _stream_readable.js:309
readableAddChunk @ _stream_readable.js:290
Readable.push @ _stream_readable.js:224
onStreamRead @ internal/stream_base_commons.js:181
mainThreadExtensionService.ts:66 Error: [ms-python.python]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ms-python.python
at a (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659)
at Object.t.checkProposedApiEnabled (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:659)
at Object.get activeNotebookEditor [as activeNotebookEditor] (/usr/lib/code/out/vs/workbench/services/extensions/node/extensionHostProcess.js:1010)
at u.get activeNotebookEditor [as activeNotebookEditor] (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
at u.get hidden [as hidden] (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
at /home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56
at Array.every (<anonymous>)
at g.updateVisibility (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
at g.updateDisplay (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
at async g.refresh (/home/lli/.vscode-oss/extensions/ms-python.python-2020.10.332292344/out/client/extension.js:56)
Comment by Lucki (Lucki) - Monday, 16 November 2020, 11:17 GMT
I've also stumbled across this. This isn't restricted to conda or python.
A simple `locale` in the inbuilt terminal will already throw some errors and differ from the expected normal terminal output.
Comment by David Roth (V1del) - Monday, 16 November 2020, 12:45 GMT Comment by mephinet (mephinet) - Wednesday, 18 November 2020, 10:23 GMT
Downgrading electron9 to 9.3.3-1 solves the issue for me.
Comment by zoltix (zoltix) - Saturday, 21 November 2020, 14:06 GMT
downgrade of electron9 works for me
https://archive.archlinux.org/packages/e/electron9/
sudo pacman -U /home/lli/Downloads/electron9-9.3.3-1-x86_64.pkg.tar.zst
Comment by Javier (javi12) - Tuesday, 24 November 2020, 08:17 GMT
As this comment explains, vscode master uses electron 9.3.3
https://github.com/microsoft/vscode/issues/110322#issuecomment-729556590

Is there a way to ensure this package installs electron 9.3.3 and not 9.3.4 ?
Comment by Lucki (Lucki) - Tuesday, 24 November 2020, 10:09 GMT

Loading...